View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000902aMuleMiscpublic2006-05-28 19:522008-02-21 22:27
ReporterDreamerC 
Assigned ToXaignar 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.1.2 
Target VersionFixed in VersionSVN 
Summary0000902: amuleweb crash in 'No such file'
Descriptionsource code,
http://twemu.no-ip.org/apt/amule-testing/ [^]
Additional Informationuser@Ubuntu:~/.aMule$ LANGUAGE=="en" amuleweb
This is amuleweb 2.1.2

Creating client...
Succeeded! Connection established to aMule 2.1.2

--------------------------------------
| aMule Web Server |
--------------------------------------

Use 'Help' for command list

Web Server: Started
aMuleweb$
WSThread: Thread started
WSThread: created socket listening on :8080
Processing request [original]: stat_graphs.php
No session opened - will request login
Session created - requesting login
Session is not logged and request have no password
Processing request [redirected]: login.php
Session ok, not logged in
Processing request [original]: stat_graphs.php
Session ok, not logged in
Checking password
Password ok
Processing request [redirected]: index.php
Processing request [original]: stat_graphs.php
Session ok, logged in
Processing request [redirected]: stat_graphs.php
Session ok, logged in
01時43分12秒: Error: can't open file '/usr/share/amule/webserver/default/amule_stats_download.png' (error 2: No such file or directory)
CFileImage: failed to open /usr/share/amule/webserver/default/amule_stats_download.png
程式記憶體區段錯誤
TagsNo tags attached.
Fixed in Revision
Operating SystemAny
Attached Filesdiff file icon WebServer.cpp.diff [^] (639 bytes) 2007-05-23 19:55 [Show Content]

- Relationships

-  Notes
(0002013)
Kry (manager)
2006-05-30 07:18

See no crash.
(0002023)
DreamerC (reporter)
2006-06-03 01:09

They are utf-8, and you need to conv.
It DO have a crash in 'stat_graphs.php'.
(0002052)
Xaignar (manager)
2006-07-05 21:39

If you have a crash, then please post the backtrace.
See the wiki (http://www.amule.org/wiki/index.php/Backtraces [^]) for more information.

Cheers,
 Xaignar
(0002292)
yelo3 (reporter)
2007-05-15 16:50

expecting a similar crash for the file
/usr/share/amule/webserver/php-default/blue6.gif
that is not in that directory but is in /usr/share/amule/webserver/default

I resolved the crash linking every file in /usr/share/amule/webserver/default to /usr/share/amule/webserver/php-default/
(0002293)
jmakovicka (reporter)
2007-05-23 19:59

Try some nonexistent file, like http://localhost:4711/xyzzy.png [^] .

I attached a patch which should solve the issue.
(0002294)
jmakovicka (reporter)
2007-05-23 20:00

I forgot to mention that you need to be logged in to cause a crash.
(0002299)
alberta (reporter)
2007-05-24 19:37

Sorry but where is the following directory: usr/share/amule/webserver/default ?????
(0002300)
frederich (reporter)
2007-05-25 15:03

This bug is fixed in CVS
(0002301)
frederich (reporter)
2007-05-25 15:04

This bug is fixed in CVS
(0002302)
alberta (reporter)
2007-05-25 17:17

Still sorry but what is CVS?
(0002303)
alberta (reporter)
2007-05-25 17:18

Still sorry but what is CVS?
(0002366)
alepac (reporter)
2007-07-24 11:46

The attached file solved the crash but I still cannot see any graph image in the statistic page.

Elaborazione richiesta [originale]:stat_graphs.php
Sessione valida, utente loggato
Elaborazione richiesta [rediretta]:stat_graphs.php
Sessione valida, utente loggato
11:41:17: Errore: impossibile aprire il file '/usr/share/amule/webserver/default/amule_stats_download.png' (errore 2: Nessun file o directory)
CFileImage: failed to open /usr/share/amule/webserver/default/amule_stats_download.png
Elaborazione richiesta [originale]:amule_stats_download.png
Sessione valida, utente loggato
Elaborazione richiesta [rediretta]:amule_stats_download.png
Sessione valida, utente loggato
11:41:17: Errore: impossibile aprire il file '/usr/share/amule/webserver/default/amule_stats_upload.png' (errore 2: Nessun file o directory)
CFileImage: failed to open /usr/share/amule/webserver/default/amule_stats_upload.png
Elaborazione richiesta [originale]:amule_stats_upload.png
Sessione valida, utente loggato
Elaborazione richiesta [rediretta]:amule_stats_upload.png
Sessione valida, utente loggato
11:41:17: Errore: impossibile aprire il file '/usr/share/amule/webserver/default/amule_stats_conncount.png' (errore 2: Nessun file o directory)
CFileImage: failed to open /usr/share/amule/webserver/default/amule_stats_conncount.png
Elaborazione richiesta [originale]:amule_stats_conncount.png
Sessione valida, utente loggato
Elaborazione richiesta [rediretta]:amule_stats_conncount.png

I'm using default template on kubuntu feisty.
Regards

Alepac
(0002369)
Kry (manager)
2007-07-26 04:53

did you ahve libgd on compilation?
(0002630)
Xaignar (manager)
2008-02-21 22:27

This has been fixed some time ago it seems.

Cheers.

- Issue History
Date Modified Username Field Change
2006-05-28 19:52 DreamerC New Issue
2006-05-28 19:52 DreamerC Operating System => Any
2006-05-30 07:18 Kry Note Added: 0002013
2006-06-03 01:09 DreamerC Note Added: 0002023
2006-07-05 21:39 Xaignar Note Added: 0002052
2007-05-15 16:49 yelo3 Note Added: 0002289
2007-05-15 16:49 yelo3 Note Added: 0002290
2007-05-15 16:50 yelo3 Note Added: 0002291
2007-05-15 16:50 yelo3 Note Added: 0002292
2007-05-15 18:27 Kry Note Deleted: 0002290
2007-05-15 18:27 Kry Note Deleted: 0002291
2007-05-15 18:27 Kry Note Deleted: 0002289
2007-05-23 19:55 jmakovicka File Added: WebServer.cpp.diff
2007-05-23 19:59 jmakovicka Note Added: 0002293
2007-05-23 20:00 jmakovicka Note Added: 0002294
2007-05-24 19:37 alberta Note Added: 0002299
2007-05-25 15:03 frederich Note Added: 0002300
2007-05-25 15:04 frederich Note Added: 0002301
2007-05-25 17:17 alberta Note Added: 0002302
2007-05-25 17:18 alberta Note Added: 0002303
2007-07-24 11:46 alepac Note Added: 0002366
2007-07-24 11:47 alepac Note Added: 0002367
2007-07-24 11:48 alepac Note Deleted: 0002367
2007-07-26 04:53 Kry Note Added: 0002369
2008-02-21 22:27 Xaignar Status new => resolved
2008-02-21 22:27 Xaignar Fixed in Version => SVN
2008-02-21 22:27 Xaignar Resolution open => fixed
2008-02-21 22:27 Xaignar Assigned To => Xaignar
2008-02-21 22:27 Xaignar Note Added: 0002630


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker